package com.ssj.service.conch.zyb.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class BgDetails implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1382199203549130191L;

	private String courseName;
	
	private List<Lat> modularLatList;
	
	private String modularDiagnosis;
	
	private List<Lat> skillLatList;
	
	private String skillDiagnosis;
	
	/**
	 * 本月待加强的知识点
	 */
	private List<BgDetailsFeature> featureList =new ArrayList<BgDetailsFeature>();

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public List<Lat> getModularLatList() {
		return modularLatList;
	}

	public void setModularLatList(List<Lat> modularLatList) {
		this.modularLatList = modularLatList;
	}

	public String getModularDiagnosis() {
		return modularDiagnosis;
	}

	public void setModularDiagnosis(String modularDiagnosis) {
		this.modularDiagnosis = modularDiagnosis;
	}

	public List<Lat> getSkillLatList() {
		return skillLatList;
	}

	public void setSkillLatList(List<Lat> skillLatList) {
		this.skillLatList = skillLatList;
	}

	public String getSkillDiagnosis() {
		return skillDiagnosis;
	}

	public void setSkillDiagnosis(String skillDiagnosis) {
		this.skillDiagnosis = skillDiagnosis;
	}

	public List<BgDetailsFeature> getFeatureList() {
		return featureList;
	}

	public void setFeatureList(List<BgDetailsFeature> featureList) {
		this.featureList = featureList;
	}

	
}
